Package org.drinkless.tdlib

# Class TdApi.BackgroundTypeWallpaper

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BackgroundType
org.drinkless.tdlib.TdApi.BackgroundTypeWallpaper

Enclosing class:
  `TdApi`

public static class TdApi.BackgroundTypeWallpaper extends TdApi.BackgroundType
A wallpaper in JPEG format.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.BackgroundType

  `TdApi.BackgroundType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isBlurred`
  True, if the wallpaper must be downscaled to fit in 450x450 square and then box-blurred with radius 12.
  `boolean`
  `isMoving`
  True, if the background needs to be slightly moved when device is tilted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BackgroundTypeWallpaper()`
  A wallpaper in JPEG format.
  `BackgroundTypeWallpaper(boolean isBlurred, boolean isMoving)`
  A wallpaper in JPEG format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isBlurred

    public boolean isBlurred
    True, if the wallpaper must be downscaled to fit in 450x450 square and then box-blurred with radius 12.

  - ### isMoving

    public boolean isMoving
    True, if the background needs to be slightly moved when device is tilted.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BackgroundTypeWallpaper

    public BackgroundTypeWallpaper()
    A wallpaper in JPEG format.

  - ### BackgroundTypeWallpaper

    public BackgroundTypeWallpaper(boolean isBlurred, boolean isMoving)
    A wallpaper in JPEG format.
    Parameters:
      `isBlurred` - True, if the wallpaper must be downscaled to fit in 450x450 square and then box-blurred with radius 12.
      `isMoving` - True, if the background needs to be slightly moved when device is tilted.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.BackgroundType`
    Returns:
      this.CONSTRUCTOR